Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 389341 - sys-apps/linux-misc-apps-3.1 collides with sys-power/cpufrequtils-008-r1
Summary: sys-apps/linux-misc-apps-3.1 collides with sys-power/cpufrequtils-008-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 393497
  Show dependency tree
 
Reported: 2011-11-02 17:18 UTC by Michał Bartoszkiewicz
Modified: 2012-11-19 10:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Bartoszkiewicz 2011-11-02 17:18:10 UTC
>>> Installing (1 of 1) sys-apps/linux-misc-apps-3.1
 * checking 46 files for package collisions
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 * 
 * Detected file collision(s):
 * 
 * 	/usr/include/cpufreq.h
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * sys-power/cpufrequtils-008-r1
 * 	/usr/include/cpufreq.h
 * 
 * Package 'sys-apps/linux-misc-apps-3.1' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2011-11-02 21:15:35 UTC
mattst: how do we want to resolve this one? If cpufrequtils is meant to replace the cpupower stuff in the kernel tools, I could turn it off there. But I'm not sure which side is newer.
Comment 2 Matt Turner gentoo-dev 2011-11-02 21:19:39 UTC
cpufrequtils is replaced by the cpupower stuff.
Comment 3 Manuel Rüger (RETIRED) gentoo-dev 2012-04-16 06:09:37 UTC
anything new on this? maybe you can disable installation of the header file via a useflag, which needs cpufreq-utils? 

bug #410439 provides ebuilds and init scripts for cpupower.
Comment 4 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2012-11-19 10:01:27 UTC
3.6 in tree with this fixed.